# Interface ISourceViewerExtension3

All Known Implementing Classes:
  `ProjectionViewer, SourceViewer, TextConsoleViewer`

public interface ISourceViewerExtension3
Extension interface for `ISourceViewer`.

It introduces the concept of a quick assist assistant and provides access to the quick assist invocation context. It also gives access to any currently showing annotation hover.

Since:
  3.2
See Also:
  - `IQuickAssistAssistant`
  - `IQuickAssistInvocationContext`

## Method Summary

Modifier and Type
Method
Description
`IAnnotationHover`
`getCurrentAnnotationHover()`
Returns the currently displayed annotation hover if any, `null` otherwise.
`IQuickAssistAssistant`
`getQuickAssistAssistant()`
Returns this viewers quick assist assistant.
`IQuickAssistInvocationContext`
`getQuickAssistInvocationContext()`
Returns this viewer's quick assist invocation context.

## Method Details

### getQuickAssistAssistant

IQuickAssistAssistant getQuickAssistAssistant()
Returns this viewers quick assist assistant.

Returns:
  the quick assist assistant or `null` if none is configured
Since:
  3.2

### getQuickAssistInvocationContext

IQuickAssistInvocationContext getQuickAssistInvocationContext()
Returns this viewer's quick assist invocation context.

Returns:
  the quick assist invocation context or `null` if none is available

### getCurrentAnnotationHover

IAnnotationHover getCurrentAnnotationHover()
Returns the currently displayed annotation hover if any, `null` otherwise.

Returns:
  the currently displayed annotation hover or `null`